#ifndef _IoManager_H__
#define _IoManager_H__

#include <OgrePrerequisites.h>
#include <OgreMath.h>
#include <Ogre.h>

class IoManager
{
public:
	IoManager(Ogre::String fileName);

	void Write();
	AddNode(SceneNode *node);

protected:
	std::ofstream mFile;
	std::vector<Ogre::Vector3> mPositions;
	std::vector<Ogre::Quaternion> mOrientations;
};

#endif // IoManager